using System;
using System.Windows.Forms;
using Eco.Windows.Forms;

namespace DevGroupGettingStartedWithEco
{
	static class Program
	{
		private static DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace ecoSpace;

		/// <summary>
		/// The global EcoSpace instance.
		/// </summary>
		public static DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace EcoSpace
		{
			get { return ecoSpace; }
		}

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			WinFormDequeuer.Active = true;
			Form mainForm = null;
			try
			{
				ecoSpace = new DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace();
				ecoSpace.Active = true;
				mainForm = new ProgramStart(ecoSpace);

			}
			catch (Exception e)
			{
				new ThreadExceptionDialog(e).ShowDialog();
				throw;
			}
			Application.Run(mainForm);
			ecoSpace.Dispose();
		}
	}
}
